public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/duktape-rb/
Date: Sat, 18 Mar 2023 23:10:16 +0000 (UTC)	[thread overview]
Message-ID: <1679180988.5e99b74afb4034c56e730cf9d51e5592c407b990.sam@gentoo> (raw)

commit:     5e99b74afb4034c56e730cf9d51e5592c407b990
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 18 05:15:25 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 18 23:09:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e99b74a

dev-ruby/duktape-rb: add 2.7.0.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ruby/duktape-rb/Manifest                  |  1 +
 dev-ruby/duktape-rb/duktape-rb-2.7.0.0.ebuild | 48 +++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-ruby/duktape-rb/Manifest b/dev-ruby/duktape-rb/Manifest
index a78c853e0a81..8680160526e3 100644
--- a/dev-ruby/duktape-rb/Manifest
+++ b/dev-ruby/duktape-rb/Manifest
@@ -1 +1,2 @@
 DIST duktape-rb-2.3.0.0.tar.gz 1356464 BLAKE2B be7362ddbe6860bcb12c8f8909f66ae525585e628f7be2317b07eb07960f8f25e503dbc89e713e57144cc8108751ac856aa73a16cbd58502e928acf9e116247c SHA512 af4fd45387c3f40cd24bf3c879ef4e0d7efd43ca24f0cb866bf869db7fa9f4add9b60122c0dcfbce5491cdd7479b1414637fa1054078216b9f57fa426feb0154
+DIST duktape-rb-2.7.0.0.tar.gz 1385934 BLAKE2B 1a3a7ea2c1469ddf9ac482e4329726e0f96823e75153027cf83155cca796cd0380d816a23d617e4bc40e72215acdc524fcb9575711e585952aeb9c6ed85ede70 SHA512 e91f57c2789aeb26aecbd9759c0b8cda457f290fcbe431fee721d01c1987c64f307f0e042b50cf6b4fa468d41c6365adde8395e2a33a8c637f6524af1c7cf028

diff --git a/dev-ruby/duktape-rb/duktape-rb-2.7.0.0.ebuild b/dev-ruby/duktape-rb/duktape-rb-2.7.0.0.ebuild
new file mode 100644
index 000000000000..aa16f49130ee
--- /dev/null
+++ b/dev-ruby/duktape-rb/duktape-rb-2.7.0.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_GEMSPEC="duktape.gemspec"
+RUBY_FAKEGEM_NAME="duktape"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/duktape/extconf.rb)
+
+inherit ruby-fakegem
+
+MY_PN=${PN/-/\.}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Ruby bindings to the Duktape JavaScript interpeter"
+HOMEPAGE="https://github.com/judofyr/duktape.rb"
+SRC_URI="https://github.com/judofyr/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv"
+
+COMMON_DEPEND="dev-lang/duktape:="
+DEPEND+="${COMMON_DEPEND}"
+RDEPEND+="${COMMON_DEPEND}"
+
+ruby_add_bdepend "
+	dev-ruby/pkg-config
+	dev-ruby/rake-compiler
+	dev-ruby/sdoc
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.3.0.0_use-system-duktape.patch
+)
+
+RUBY_S=${MY_P}
+
+all_ruby_prepare() {
+	rm ext/duktape/duktape.{c,h} ext/duktape/duk_config.h || die "Failed to remove bundled duktape"
+}
+
+each_ruby_test() {
+	${RUBY} test/test_duktape.rb || die
+}


             reply	other threads:[~2023-03-18 23:10 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-18 23:10 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-26  8:01 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/duktape-rb/ Hans de Graaff
2023-07-12  7:46 Hans de Graaff
2023-04-07 18:25 Sam James
2023-03-24  3:58 Sam James
2023-03-19 19:00 Sam James
2022-03-26 22:31 Marek Szuba
2021-12-16 10:16 Marek Szuba
2021-12-15 23:55 Sam James
2021-10-31  5:57 Hans de Graaff
2021-09-07 12:30 Marek Szuba
2020-11-21  8:58 Hans de Graaff
2020-11-17 18:49 Agostino Sarubbo
2020-11-16 13:30 Marek Szuba
2020-11-14  7:51 Hans de Graaff
2020-11-14  7:09 Hans de Graaff
2020-11-14  7:04 Hans de Graaff
2020-11-13 21:57 Marek Szuba
2020-11-13 17:25 Marek Szuba
2020-11-13 14:27 Marek Szuba
2020-11-13 14:12 Marek Szuba

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1679180988.5e99b74afb4034c56e730cf9d51e5592c407b990.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox